@model FAA_UI.ViewModels.UserViewModel;

<h4 style="margin:9px 9px 9px 9px;">User Management</h4>
<div class="row" style="margin:0px;padding:0px">
    @using(Html.BeginForm("Index","User",FormMethod.Post,new{@class="form-horizontal"}))
    {
 @*    <div class="column">
        <div class="table-resposive">
            <table id="tblUser" class="styled-table">
                <thead>
                    <tr>                                                                                                                    
                        <th>@Html.DisplayNameFor(model=>model.tblUser.UidPk)</th>
                        <th>@Html.DisplayNameFor(model=>model.tblUser.ULoginId)</th>
                        <th>@Html.DisplayNameFor(model=>model.tblUser.UType)</th>
                    </tr>
                </thead>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       
                <tbody>
                    @foreach(var item in Model.tblUsers)
                    {
                        <tr>
                            <td>@Html.DisplayFor(modelItem => item.UidPk)</td>                                                                                                                                                      
                            <td>@Html.ActionLink(item.ULoginId,"Index","User",new { UserId = item.UidPk },new{style="color:blue;"})</td>
                            <td>
                                @(new SelectList(ViewBag.UserType,"Value","Text").Where(x=>x.Value==Convert.ToString(item.UType)).FirstOrDefault().Text)
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    </div> *@
    <div style="width:64%;" class="column">
        <div class="accordion" id="accordionUser">
            <div class="card">
                <div class="card-header" id="headingDetail">
                <h2 class="mb-0">
                    <button class="collapsible" type="button" data-toggle="collapse" data-target="#collapseDetail" aria-expanded="true" aria-controls="collapseDetail">
                    User Details
                    </button>
                </h2>
                </div>
                <div id="collapseDetail" class="collapse show" aria-labelledby="headingDetail" data-parent="#accordionUser">
                    <div class="card-body">
                        <div class="form-group" style="display:none;" >
                            @Html.TextBoxFor(model => model.tblUser.UidPk)
                            @Html.TextBoxFor(model => model.tblUser.PersonId)
                            @Html.TextBoxFor(model => model.tblPerson.PersonId)
                        </div>
                        <div class="form-group row">
                            <div class="form-group col-md-2" >
                                @Html.LabelFor(model => model.tblUser.ULoginId)
                                @Html.TextBoxFor(model => model.tblUser.ULoginId)
                                @Html.ValidationMessageFor(model => model.tblUser.ULoginId) 
                            </div>
                            <div class="form-group col-md-3" >
                                @Html.LabelFor(model => model.tblUser.UPwd)
                                @Html.PasswordFor(model => model.tblUser.UPwd)
                                @Html.ValidationMessageFor(model => model.tblUser.UPwd) 
                            </div>
                            <div class="form-group col-md-3" >
                                @Html.LabelFor(model => model.ConfirmPassword)
                                @Html.TextBoxFor(model => model.ConfirmPassword,new {@type="password"})
                                @Html.ValidationMessageFor(model => model.ConfirmPassword) 
                            </div>
                        </div>     
                        <div class="form-group row">    
                            <div class="form-group col-md-3" >
                                @Html.LabelFor(model => model.tblUser.UType)
                                @Html.DropDownListFor(model => model.tblUser.UType, new SelectList(ViewBag.UserType, "Value", "Text"))
                                @Html.ValidationMessageFor(model => model.tblUser.UType) 
                            </div>
                                <div class="form-group col-md-5" >
                                @Html.LabelFor(model => model.tblUser.UPwdHint)
                                @Html.TextBoxFor(model => model.tblUser.UPwdHint)
                                @Html.ValidationMessageFor(model => model.tblUser.UPwdHint) 
                            </div>   
                        </div>     
                        <div class="form-group row">
                            <div class="form-group col-md-2" >
                                @Html.LabelFor(model => model.tblPerson.PTitle)
                                @Html.DropDownListFor(model => model.tblPerson.PTitle, new SelectList(ViewBag.TitleList, "Value", "Text"))
                                @Html.ValidationMessageFor(model => model.tblPerson.PTitle) 
                            </div>
                            <div class="form-group col-md-3" >
                                @Html.LabelFor(model => model.tblPerson.PFirstName)
                                @Html.TextBoxFor(model => model.tblPerson.PFirstName)
                                @Html.ValidationMessageFor(model => model.tblPerson.PFirstName) 
                            </div>
                            <div class="form-group col-md-3" >
                                @Html.LabelFor(model => model.tblPerson.PMidleName)
                                @Html.TextBoxFor(model => model.tblPerson.PMidleName)
                                @Html.ValidationMessageFor(model => model.tblPerson.PMidleName) 
                            </div>
                            <div class="form-group col-md-3" >
                                @Html.LabelFor(model => model.tblPerson.PLastName)
                                @Html.TextBoxFor(model => model.tblPerson.PLastName)
                                @Html.ValidationMessageFor(model => model.tblPerson.PLastName) 
                            </div>
                        </div>     
                        <div class="form-group row">     
                            <div class="form-group col-md-4" >
                                @Html.LabelFor(model => model.tblPerson.PDisplayName)
                                @Html.TextBoxFor(model => model.tblPerson.PDisplayName)
                                @Html.ValidationMessageFor(model => model.tblPerson.PDisplayName) 
                            </div>
                        </div>
                        <div class="form-group row">            
                            <div class="form-group col-md-3" >
                                @Html.LabelFor(model => model.tblPerson.PDob)
                                @Html.EditorFor(model => model.tblPerson.PDob)
                                @Html.ValidationMessageFor(model => model.tblPerson.PDob) 
                            </div>
                            <div class="form-group col-md-2" >
                                @Html.LabelFor(model => model.tblPerson.PHeightInCm)
                                @Html.TextBoxFor(model => model.tblPerson.PHeightInCm,new { @class = "numericOnly"})
                                @Html.ValidationMessageFor(model => model.tblPerson.PHeightInCm) 
                            </div>
                            <div class="form-group col-md-2" >
                                @Html.LabelFor(model => model.tblPerson.PWeightInKg)  
                                @Html.TextBoxFor(model => model.tblPerson.PWeightInKg,new { @class = "numericOnly"})
                                @Html.ValidationMessageFor(model => model.tblPerson.PWeightInKg) 
                            </div>
                        </div>     
                        <div class="form-group row">    
                            <div class="form-group col-md-4 " >
                                @Html.LabelFor(model => model.tblPerson.PIdentityMark)
                                @Html.TextBoxFor(model => model.tblPerson.PIdentityMark)
                                @Html.ValidationMessageFor(model => model.tblPerson.PIdentityMark) 
                            </div>               
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="form-row" style="margin-right: 25px;margin-top: 10px;float:right;">
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary btn-lg"/>
            </div>              
            <div class="form-group">
                <button type="button" class="btn btn-secondary btn-lg">Delete</button>
            </div>               
        </div>  
    </div>
    } 
</div>  
@section Scripts
{
    <script language="javascript">
        $(document).ready(function () {
            $("#tblUser").DataTable(
                {
                    paging:   false,
                    ordering: false,
                    info:     false,
                    searching: false,
                }
            ); 
        });
    </script> 
}